> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trench.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Webhook

> Delete a webhook.

<Info>This endpoint requires your [private API key](/api-reference/overview#authentication).</Info>


## OpenAPI

````yaml delete /webhooks/{uuid}
openapi: 3.0.0
info:
  title: trench API
  description: ''
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /webhooks/{uuid}:
    delete:
      summary: Delete a webhook
      operationId: WebhooksController_deleteWebhook
      parameters:
        - name: uuid
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: >-
            The webhook has been successfully deleted. Requires private API key
            in Bearer token.
      security:
        - bearer: []
components: {}

````